Skip to main content
PUT
Update a contract subscription

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string<uuid>
required

The UUID of the contract

Body

application/json

Contract subscription to update

dataContractId
string<uuid>
required

Unique identifier of the contract

userId
string<uuid>

The unique identifier of the user

email
string

The email address of the subscriber if provided

Pattern: ^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+\.[a-zA-Z0-9-.]+$
githubHandle
string

The GitHub handle for the subscriber if provided

slackChannel
string

The Slack channel where contract violations will be sent

Response

Contract subscription was successfully updated

id
string<uuid>
required

The unique identifier of the subscription

dataContractId
string<uuid>
required

Unique identifier of the contract

userId
string<uuid>

The unique identifier of the user

email
string

The email address of the subscriber if provided

Pattern: ^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+\.[a-zA-Z0-9-.]+$
githubHandle
string

The GitHub handle of the subscriber if provided

slackChannel
string

The Slack channel where contract violations will be sent